/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.java.net
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.tidalwave.netbeans.visual.impl;

import it.tidalwave.netbeans.visual.widget.ConnectingWidget;
import javax.annotation.Nonnull;
import java.io.Serializable;
import org.netbeans.api.visual.widget.LayerWidget;
import org.netbeans.api.visual.widget.Scene;
import org.netbeans.api.visual.widget.Widget;

/*******************************************************************************************************************
 *
 *
 ******************************************************************************************************************/
public class ConnectionWidgetAnchorFixer implements Scene.SceneListener, Serializable
  {
    private static final long serialVersionUID = 5685654434353453L;

    @Nonnull
    private final LayerWidget mainLayer;

    public ConnectionWidgetAnchorFixer (final @Nonnull LayerWidget mainLayer)
      {
        this.mainLayer = mainLayer;
      }

    @Override
    public void sceneRepaint()
      {
      }

    @Override
    public void sceneValidating()
      {
      }

    @Override
    public void sceneValidated()
      {
        for (final Widget widget : mainLayer.getChildren())
          {
            if (widget instanceof ConnectingWidget)
              {
                ((ConnectingWidget)widget).fixAnchors();
              }
          }
      }
  }

